# 概要

* Web+DB Press Python連載 2022/12号 掲載
* structlogで効率的に構造化ログを出力 サンプルコード

## 仮想環境の作成とパッケージのインストール

```bash
$ python3 -m venv venv
$ . venv/bin/activate
(venv) $ pip install -r requirements.txt
```

## ファイル説明

以下が各章や節で取り上げたコード例です。

* `simple_log.py`: シンプルなログ出力の例
* `simple_json_log.py`: 簡易的に構造化ログを扱う例
* `encode_json_log.py`: Encoderで構造化ログを扱う例
* `default_config_structlog.py`: デフォルトのstructlogの構成
* `default_structlog.py`: structlogの初期設定で出力した例
* `jsonrenderer_structlog.py`: JSONRendererでログ出力した例
* `databinding.py`: データバインディングして情報を追跡しやすくする例
* `settings.py`: django-structlogの設定を追加したsettings.pyの例
* `requirements.txt`: venv用にライブラリをまとめたファイル(環境構築で使用)
