import json
import logging


class StructuredMessage:
    def __init__(self, message, /, **kwargs):
        self.message = message
        self.kwargs = kwargs

    def __str__(self):
        return "%s >>> %s" % (
            self.message,
            json.dumps(self.kwargs),
        )


logging.basicConfig(
    level=logging.INFO, format="%(message)s"
)
logging.info(
    StructuredMessage(
        "message 1",
        bar="baz",
        num=123,
        fnum=123.456,
        user_id=1,
    )
)
